#include <bits/stdc++.h>
using namespace std;
#define TLHAdepzais1tg ios_base::sync_with_stdio(0);cin.tie();cout.tie(0);
#define ll long long
#define N 1000007
#define fi first
#define se second
#define pii pair<ll,ll>
#define str string
int n,k;
int u,v;
int l,r;
vector<int> a;
vector<int> b;
vector<int> dao(vector<int> x,int c,int d)
{
    while(c<=d)
    {
        swap(x[c],x[d]);
        c++;
        d--;
    }
    return x;
}
int chuki(vector<int> x,vector<int> y)
{
    int res=0;
    while(true)
    {
        x=dao(x,u,v);
        x=dao(x,l,r);
        res++;
        if(x==y)
            return res;
    }
}
int main()
{
    TLHAdepzais1tg;
    if(fopen("revnrev.inp","r"))
    {
        freopen("revnrev.inp","r",stdin);
        freopen("revnrev.out","w",stdout);
    }
    cin>>n>>k;
    cin>>u>>v;
    cin>>l>>r;
    a.resize(n+1);
    b.resize(n+1);
    for(int i=1;i<=n;i++)
    {
        a[i]=i;
        b[i]=i;
    }
    int dem=chuki(a,b);
    k=k%dem;
    for(int i=1;i<=k;i++)
    {
        a=dao(a,u,v);
        a=dao(a,l,r);
    }
    for(int i=1;i<=n;i++)
        cout<<a[i]<<'\n';
    return 0;
}
